[Frugalware-darcs] homepage-ng: newsletter: issue 6 draft

AlexExtreme alex at alex-smith.me.uk
Sat Jun 2 09:33:33 CEST 2007


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=homepage-ng;a=darcs_commitdiff;h=20070602073251-46e39-4aed37cec9c0c2699a53142a02375c073a888e14.gz;

[newsletter: issue 6 draft
AlexExtreme <alex at alex-smith.me.uk>**20070602073251] {
addfile ./frugalware/weeklynews/issue6.html
hunk ./frugalware/weeklynews/issue6.html 1
+<p>
+	Welcome to the sixth issue of the Frugalware Newsletter! This is our fortnightly newsletter for Frugalware users to read to find out about what's going on in Frugalware development.
+</p>
+<h2>Table of Contents</h2>
+<ul>
+	<li><a href="#news">1. News</a></li>
+	<li><a href="#tips">2. Tips and tricks</a></li>
+	<li><a href="#announce">3. Developer announcements</a></li>
+	<li><a href="#fixes">4. Bug fixes</a></li>
+	<li><a href="#security">5. Security announcements</a></li>
+</ul>
+
+<a name="news"></a>
+<h2>News</h2>
+<p>
+	Here's what's happened over the last few weeks:
+</p>
+<ul>
+	<li>
+		<h3>0.7pre1 released!</h3>
+		We have released the first pre-release of the upcoming 0.7 release! Anyone who would like to help make 0.7 the best and most bug-free release yet, please download the ISOs and test them! There are currently a few known issues: Glibc 2.6-1 causes some apps (mainly firefox and thunderbird) to die sometimes with malloc errors. To resolve this, run pacman-g2 -Syu after installation.
+	</li>
+	<li>
+		<h3>GCC Java Web Plugin</h3>
+		As of gcc-4.2.0-3, there is a usable java browser plugin for systems where the binary is not available, like x86_64. See <a href="http://frugalware.org/docs/packages.html#toc28">this page</a> for more information.
+	</li>
+	<li>
+		<h3>Pacman-Tools improvements</h3>
+		Pacman-tools now provides a fwmakepkg man page, which is a good for people who want to learn to build packages. Repoman now also supports nobuild packages (like opera, vmware, etc). This means that these packages now show up on our homepage search. 
+	</li>
+	<li>
+		<h3>New i686 build server</h3>
+		Thanks to the generous donations of a lot of people, we now have a new i686 build server! This server now runs a Pentium 4 processor with 768MB RAM, so i686 packages should be built much faster. Thanks everyone!
+	</li>
+	<li>
+		<h3>Homepage design contest</h3>
+		Just a reminder that we are running a homepage design contest. If anyone wants to try making a design for our homepage, look at <a href="/newsletter/3">issue 3 of the newsletter</a> for more info! The contest has been extended to next Friday (8th of June) to wait for some entries that we know are in progress.
+	</li>
+	<li>
+		<h3>New developer</h3>
+		We'd like to take this opportunity to welcome our new developer, detto. He has already contributed several packages to Frugalware, and some tips and tricks for the newsletter. We hope he'll enjoy being a developer!
+	</li>
+	<li>
+		<h3>Forums to Mailing list gateway</h3>
+		We now have a gateway between the forums and the frugalware-forums mailing list. All the messages posted to the frugalware-forums mailing list are posted to the forums and all the posts from the "Mailing list" section of the forum are posted to the mailing list.
+	</li>
+</ul>
+
+<a name="tips"></a>
+<h2>Tips and tricks</h2>
+<p>
+	Here are some tips and tricks that have been discovered by our users to help make using your Frugalware system even easier and make your system even faster. Remember that this section relies on your contributions! If you have some tips and tricks that you would like to be shown in the newsletter, <b>please</b> post them on the forums in the Tips and Tricks section!
+</p>
+<ul>
+	<li>
+		<h3>Hiding the Trash icon in XFCE</h3>
+		Create a file named 'xfdesktoprc' in /home/your_user_name/.config/xfce4/desktop/ and add the following line(s) to it:
+		<pre><code>
+		[file-icons]
+		show-trash=false
+		</pre></code>
+		Restart Xfce after making the changes and the trash icon will no longer be displayed.
+	</li>
+</ul>
+
+<a name="announce"></a>
+<h2>Developer announcements</h2>
+<ul>
+	<li>
+		None this week.
+	</li>
+</ul>
+
+<a name="fixes"></a>
+<h2>Bug fixes</h2>
+<p>
+	A list of bugs closed in the past 2 weeks is available <a href="http://bugs.frugalware.org/index.php?events%5B%5D=2&amp;fromdate=2007-05-14&amp;todate=2007-06-2&amp;event_number=-1&amp;project=1&amp;do=reports&amp;submit=">here</a>
+</p>
+
+<a name="security"></a>
+<h2>Security announcements</h2>
+<p>
+	Here are a list of <a href="/security">security issues</a> which have been discovered and fixed in the 0.6 release in the past 2 weeks:
+</p>
+<ul>
+        <li>FSA191 - freetype2: Victor Stinner has reported a vulnerability in FreeType, which can be exploited by malicious people to cause a DoS (Denial of Service) or potentially compromise an application using the library. Please upgrade to freetype2-2.3.4-1terminus2.</li>
+        <li>FSA190 - zoo: It's possible to make the ZOO implementation to enter in an infinite loop condition. Please upgrade to zoo-2.10-5terminus1.</li>
+        <li>FSA189 - vmware: Some vulnerabilities have been reported in various VMware products, which can be exploited by malicious users to cause a DoS (Denial of Service) or bypass certain security restrictions. Please upgrade to vmware-5.5.4_44386-1terminus1.</li>
+        <li>FSA188 - madwifi: Some vulnerabilities have been reported in MadWifi, which can be exploited by malicious, local users and malicious people to cause a DoS (Denial of Service). Please upgrade to madwifi-0.9.3.1-1terminus1.</li>
+        <li>FSA187 - php: Xavier Roche has reported a vulnerability in PHP, which can be exploited by malicious people to cause a DoS (Denial of Service). Please upgrade to php-5.2.2-1terminus2.</li>
+        <li>FSA186 - jasper: A vulnerability has been reported in JasPer, which can be exploited by malicious people to cause a DoS (Denial of Service). Please upgrade to jasper-1.900.1-2terminus1.</li>
+        <li>FSA185 - samba + samba-client: Some vulnerabilities have been reported in Samba, which can be exploited by malicious users to perform certain actions with escalated privileges and to compromise a vulnerable system, and by malicious people to compromise a vulnerable system. Please upgrade to samba and samba-client-3.0.24-2terminus1.</li>
+        <li>FSA184 - libpng: A vulnerability has been reported in libpng, which can be exploited by malicious people to cause a DoS (Denial of Service). Please upgrade to libpng-1.2.16-2terminus1.</li>
+</ul>
}


More information about the Frugalware-darcs mailing list